function ok = checkparamok(method,options)
%Checks if the parameters provided to SPAL are valid

ok=1;

namesapwl1={'q','mu','SlabWidth','Delta','WeightEps','Verbose'};
namesapl1={'q','mu','SlabWidth','Delta','Verbose'};

funcname = lower(func2str(method));
if strcmp(funcname,'apwl1')
    names=namesapwl1;
elseif strcmp(funcname,'apl1')
    names=namesapl1;
end

for i=1:length(names)
    F=getfield(options,names{i});
    if isempty(F)
        fprintf(' \n Parameter %s has not been specified. \n',names{i})
        ok=0;
    end
end
        
